Bug 975186 - subscription-manager repos --list is failing when specifying a bad --proxy
subscription-manager repos --list is failing when specifying a bad --proxy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
IDM QE LIST
: Regression
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-17 14:42 EDT by John Sefler
Modified: 2014-09-14 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No description necessary
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 19:10:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-06-17 14:42:58 EDT
Description of problem:
Got an extraneous "2, 'Name or service not known')" to stdout when calling subscription-manager repos --list with a bad proxy

Version-Release number of selected component (if applicable):
[root@jsefler-5 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.13-1
subscription-manager: 1.8.10-1.git.27.c1dbb63.el5
python-rhsm: 1.8.12-1.git.0.d747a65.el5


How reproducible:


Steps to Reproduce:
register and attach a valid subscription
[root@jsefler-5 ~]# subscription-manager repos --list --proxy=foobar
2, 'Name or service not known')   <================  DID NOT EXPECT THIS STDOUT LINE
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.
[root@jsefler-5 ~]# echo $?
255



[root@jsefler-5 ~]# tail -f /var/log/rhsm/rhsm.log

2013-06-17 14:38:46,426 [DEBUG]  @identity.py:131 - Loading consumer info from identity certificates.
2013-06-17 14:38:46,434 [DEBUG]  @injection.py:49 - Registering provider for feature IDENTITY: <subscription_manager.identity.Identity object at 0x2b3105d9f690>
2013-06-17 14:38:46,435 [DEBUG]  @injection.py:49 - Registering provider for feature CERT_SORTER: <class 'subscription_manager.cert_sorter.CertSorter'>
2013-06-17 14:38:46,435 [DEBUG]  @injection.py:49 - Registering provider for feature PRODUCT_DATE_RANGE_CALCULATOR: <class 'subscription_manager.validity.ValidProductDateRangeCalculator'>
2013-06-17 14:38:46,435 [DEBUG]  @injection.py:49 - Registering provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,435 [DEBUG]  @injection.py:49 - Registering provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,435 [DEBUG]  @injection.py:49 - Registering provider for feature STATUS_CACHE: <class 'subscription_manager.cache.StatusCache'>
2013-06-17 14:38:46,435 [DEBUG]  @injection.py:49 - Registering provider for feature PROD_STATUS_CACHE: <class 'subscription_manager.cache.ProductStatusCache'>
2013-06-17 14:38:46,494 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,494 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,501 [DEBUG]  @plugins.py:451 - Not loading "dbus_event.DbusEventPlugin" plugin as it is disabled
2013-06-17 14:38:46,501 [DEBUG]  @plugins.py:651 - <class 'dbus_event.DbusEventPlugin'> was disabled via it's config: plugin_key: dbus_event.DbusEventPlugin
config file: /etc/rhsm/pluginconf.d/dbus_event.DbusEventPlugin.conf
[main]
enabled=0

2013-06-17 14:38:46,504 [DEBUG]  @plugins.py:541 - loaded plugin modules: [<module 'all_slots_test' from '/usr/share/rhsm-plugins/all_slots_test.pyc'>, <module 'auto_attach_test' from '/usr/share/rhsm-plugins/auto_attach_test.pyc'>, <module 'dbus_event' from '/usr/share/rhsm-plugins/dbus_event.pyc'>, <module 'facts_collection_test' from '/usr/share/rhsm-plugins/facts_collection_test.pyc'>, <module 'product_id_install_test' from '/usr/share/rhsm-plugins/product_id_install_test.pyc'>, <module 'register_consumer_test1' from '/usr/share/rhsm-plugins/register_consumer_test1.pyc'>, <module 'register_consumer_test2' from '/usr/share/rhsm-plugins/register_consumer_test2.pyc'>, <module 'subscribe_test' from '/usr/share/rhsm-plugins/subscribe_test.pyc'>]
2013-06-17 14:38:46,504 [DEBUG]  @plugins.py:542 - loaded plugins: {'register_consumer_test2.RegisterConsumerTestPlugin': <register_consumer_test2.RegisterConsumerTestPlugin object at 0x18ea1510>, 'subscribe_test.SubscribeTestPlugin': <subscribe_test.SubscribeTestPlugin object at 0x18ea1850>, 'all_slots_test.AllSlotsTestPlugin': <all_slots_test.AllSlotsTestPlugin object at 0x18e97d10>, 'product_id_install_test.ProductIdInstallTestPlugin': <product_id_install_test.ProductIdInstallTestPlugin object at 0x18e9de50>, 'auto_attach_test.AutoAttachTestPlugin': <auto_attach_test.AutoAttachTestPlugin object at 0x18e9d310>, 'register_consumer_test1.RegisterConsumerTestPlugin': <register_consumer_test1.RegisterConsumerTestPlugin object at 0x18ea11d0>, 'facts_collection_test.FactsCollectionTestPlugin': <facts_collection_test.FactsCollectionTestPlugin object at 0x18e9db10>}
2013-06-17 14:38:46,504 [DEBUG]  @plugins.py:514 - Calling PluginManager init
2013-06-17 14:38:46,546 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,546 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,548 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,548 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,564 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,565 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,567 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,567 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,570 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,570 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,572 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,573 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,575 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,575 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,577 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,578 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,580 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,580 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,581 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,582 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,583 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,584 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,586 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,586 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,588 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,588 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,590 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,590 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,593 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,593 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,595 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,595 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,597 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,598 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,600 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,600 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,602 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,602 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,604 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,605 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,607 [DEBUG]  @injection.py:64 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-17 14:38:46,607 [DEBUG]  @injection.py:64 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-17 14:38:46,610 [DEBUG]  @profile.py:96 - Loading current RPM profile.
2013-06-17 14:38:46,755 [INFO]  @managercli.py:309 - Client Versions: {'python-rhsm': '1.8.12-1.git.0.d747a65.el5', 'subscription-manager': '1.8.10-1.git.27.c1dbb63.el5'}
2013-06-17 14:38:46,756 [INFO]  @connection.py:583 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2013-06-17 14:38:46,756 [INFO]  @connection.py:596 - Connection Built: host: jsefler-f14-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2013-06-17 14:38:46,757 [INFO]  @connection.py:593 - Using no auth
2013-06-17 14:38:46,757 [INFO]  @connection.py:596 - Connection Built: host: jsefler-f14-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2013-06-17 14:38:46,856 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-17 14:38:46,856 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-17 14:38:46,856 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-17 14:38:46,857 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-5candlepin.pem'
2013-06-17 14:38:46,857 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-7candlepin.pem'
2013-06-17 14:38:46,858 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2013-06-17 14:38:46,858 [DEBUG]  @connection.py:400 - Using proxy: foobar:3128
2013-06-17 14:38:46,858 [DEBUG]  @connection.py:415 - Making request: GET https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/
2013-06-17 14:38:46,862 [ERROR]  @utils.py:350 - Error while checking server version: (-2, 'Name or service not known')
2013-06-17 14:38:46,862 [ERROR]  @utils.py:352 - (-2, 'Name or service not known')
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/utils.py", line 340, in get_server_versions
    if cp.supports_resource("status"):
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 623, in supports_resource
    self._load_supported_resources()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 610, in _load_supported_resources
    resources_list = self.conn.request_get("/")
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 481, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 422, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 174, in endheaders
    httpslib.HTTPSConnection.endheaders(self)
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 175, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.4/httplib.py", line 620, in connect
    socket.SOCK_STREAM):
gaierror: (-2, 'Name or service not known')
2013-06-17 14:38:46,865 [INFO]  @managercli.py:320 - Server Versions: {'candlepin': 'Unknown', 'server-type': 'Red Hat Subscription Management'}
2013-06-17 14:38:46,868 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-17 14:38:46,869 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-17 14:38:46,869 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-17 14:38:46,869 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-5candlepin.pem'
2013-06-17 14:38:46,870 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-7candlepin.pem'
2013-06-17 14:38:46,870 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2013-06-17 14:38:46,871 [DEBUG]  @connection.py:400 - Using proxy: foobar:3128
2013-06-17 14:38:46,871 [DEBUG]  @connection.py:415 - Making request: GET https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/5532ee65-717f-4b17-8ed6-143b0d4b2b7f/certificates/serials
2013-06-17 14:38:46,873 [ERROR]  @certlib.py:241 - (-2, 'Name or service not known')
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 239, in perform
    expected = self._get_expected_serials(report)
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 318, in _get_expected_serials
    exp = self.get_certificate_serials_list()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 311, in get_certificate_serials_list
    reply = self.uep.getCertificateSerials(self._get_consumer_id())
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 811, in getCertificateSerials
    return self.conn.request_get(method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 481, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 422, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 174, in endheaders
    httpslib.HTTPSConnection.endheaders(self)
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 175, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.4/httplib.py", line 620, in connect
    socket.SOCK_STREAM):
gaierror: (-2, 'Name or service not known')
2013-06-17 14:38:46,876 [ERROR]  @certlib.py:242 - Cannot detach subscriptions while disconnected
2013-06-17 14:38:46,882 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-17 14:38:46,883 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-17 14:38:46,884 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-17 14:38:46,885 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-5candlepin.pem'
2013-06-17 14:38:46,886 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-7candlepin.pem'
2013-06-17 14:38:46,887 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2013-06-17 14:38:46,889 [DEBUG]  @connection.py:400 - Using proxy: foobar:3128
2013-06-17 14:38:46,890 [DEBUG]  @connection.py:415 - Making request: GET https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/5532ee65-717f-4b17-8ed6-143b0d4b2b7f
2013-06-17 14:38:46,893 [WARNING]  @certmgr.py:107 - Exception caught while running <subscription_manager.certlib.IdentityCertLib object at 0x19407410> update
2013-06-17 14:38:46,894 [ERROR]  @certmgr.py:108 - (-2, 'Name or service not known')
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/certmgr.py", line 100, in update
    updates += lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 69, in update
    return self._do_update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 196, in _do_update
    consumer = self.uep.getConsumer(uuid)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 734, in getConsumer
    return self.conn.request_get(method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 481, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 422, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 174, in endheaders
    httpslib.HTTPSConnection.endheaders(self)
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 175, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.4/httplib.py", line 620, in connect
    socket.SOCK_STREAM):
gaierror: (-2, 'Name or service not known')
2013-06-17 14:38:46,899 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-17 14:38:46,900 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-17 14:38:46,901 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-17 14:38:46,902 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-5candlepin.pem'
2013-06-17 14:38:46,903 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-7candlepin.pem'
2013-06-17 14:38:46,903 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2013-06-17 14:38:46,903 [DEBUG]  @connection.py:400 - Using proxy: foobar:3128
2013-06-17 14:38:46,904 [DEBUG]  @connection.py:415 - Making request: GET https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/5532ee65-717f-4b17-8ed6-143b0d4b2b7f/release
2013-06-17 14:38:46,907 [WARNING]  @certmgr.py:107 - Exception caught while running <subscription_manager.repolib.RepoLib object at 0x193a2d90> update
2013-06-17 14:38:46,908 [ERROR]  @certmgr.py:108 - (-2, 'Name or service not known')
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/certmgr.py", line 100, in update
    updates += lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 69, in update
    return self._do_update()
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 43, in _do_update
    action = UpdateAction(uep=self.uep)
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 108, in __init__
    result = self.uep.getRelease(self.consumer_uuid)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 920, in getRelease
    results = self.conn.request_get(method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 481, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 422, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 174, in endheaders
    httpslib.HTTPSConnection.endheaders(self)
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 175, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.4/httplib.py", line 620, in connect
    socket.SOCK_STREAM):
gaierror: (-2, 'Name or service not known')
2013-06-17 14:38:47,089 [DEBUG]  @plugins.py:720 - PluginManager.run called for post_facts_collection with args: {'facts': {'dmi.system.uuid': 'e6f55b91-aae1-44d6-f0db-c8f25ec73ef5', 'dmi.processor.family': 'Other', 'distribution.name': 'Red Hat Enterprise Linux Server', 'net.interface.eth0.mac_address': '52:54:00:76:B5:4F', 'dmi.bios.address': '0xe8000', 'distribution.id': 'Tikanga', 'dmi.chassis.manufacturer': 'Not Specified', 'dmi.memory.location': 'Other', 'virt.host_type': 'kvm', 'virt.is_guest': True, 'dmi.chassis.security_status': 'Unknown', 'uname.sysname': 'Linux', 'dmi.processor.type': 'Central Processor', 'net.interface.eth0.ipv4_netmask': 24, 'net.interface.eth0.ipv4_address': '10.16.120.123', 'dmi.system.family': 'Not Specified', 'cpu.core(s)_per_socket': 1, 'distribution.version': '5.10', 'network.ipv4_address': '10.16.120.123', 'dmi.bios.vendor': 'QEMU', 'net.interface.eth0.ipv6_address.link': 'fe80::5054:ff:fe76:b54f', 'dmi.bios.bios_revision': '1.0', 'dmi.system.version': 'Not Specified', 'net.interface.eth0.ipv6_netmask.link': 64, 'dmi.chassis.type': 'Other', 'dmi.chassis.serial_number': 'Not Specified', 'dmi.chassis.power_supply_state': 'Safe', 'net.interface.lo.ipv6_netmask.host': 128, 'system.certificate_version': '3.2', 'dmi.chassis.lock': 'Not Present', 'net.interface.lo.ipv4_address': '127.0.0.1', 'dmi.memory.data_width': '64 bit', 'dmi.system.serial_number': 'Not Specified', 'dmi.chassis.boot-up_state': 'Safe', 'dmi.processor.status': 'Populated:Enabled', 'net.interface.lo.ipv4_broadcast': 'Unknown', 'network.ipv6_address': '::1', 'dmi.memory.locator': 'DIMM 0', 'dmi.chassis.asset_tag': 'Not Specified', 'dmi.system.status': 'No errors detected', 'dmi.chassis.version': 'Not Specified', 'dmi.memory.bank_locator': 'Not Specified', 'net.interface.lo.ipv4_netmask': 8, 'cpu.cpu(s)': 2, 'network.hostname': 'jsefler-5.usersys.redhat.com', 'dmi.system.manufacturer': 'Not Specified', 'net.interface.lo.ipv6_address.host': '::1', 'uname.version': '#1 SMP Fri May 17 20:38:11 EDT 2013', 'dmi.memory.use': 'System Memory', 'dmi.memory.size': '1024 MB', 'dmi.processor.upgrade': 'Other', 'memory.memtotal': '1025528', 'dmi.bios.version': 'QEMU', 'net.interface.sit0.ipv4_broadcast': 'Unknown', 'dmi.bios.runtime_size': '96 KB', 'dmi.memory.speed': '  (ns)', 'net.interface.sit0.ipv4_netmask': 'Unknown', 'dmi.chassis.thermal_state': 'Safe', 'dmi.memory.total_width': '64 bit', 'dmi.memory.maximum_capacity': '1 GB', 'dmi.memory.error_correction_type': 'Other', 'dmi.system.product_name': 'Not Specified', 'dmi.processor.version': 'Not Specified', 'dmi.memory.form_factor': 'DIMM', 'memory.swaptotal': '2064376', 'net.interface.eth0.ipv4_broadcast': '10.16.120.255', 'dmi.bios.rom_size': '64 KB', 'dmi.memory.type': 'RAM', 'dmi.processor.socket_designation': 'CPU 1', 'dmi.processor.voltage': ' ', 'cpu.thread(s)_per_core': 1, 'dmi.bios.relase_date': '01/01/2007', 'virt.uuid': 'e6f55b91-aae1-44d6-f0db-c8f25ec73ef5', 'uname.machine': 'x86_64', 'dmi.memory.error_information_handle': 'Not Provided', 'uname.nodename': 'jsefler-5.usersys.redhat.com', 'dmi.memory.array_handle': '0x1000', 'net.interface.sit0.ipv4_address': 'Unknown', 'dmi.system.sku_number': 'Not Specified', 'uname.release': '2.6.18-357.el5', 'dmi.system.wake-up_type': 'Power Switch', 'cpu.cpu_socket(s)': 2}}
2013-06-17 14:38:47,090 [DEBUG]  @plugins.py:728 - Running handler in all_slots_test.AllSlotsTestPlugin
2013-06-17 14:38:47,090 [INFO]  @all_slots_test.py:39 - Running handler for post_facts_collection_hook from slot post_facts_collection defined in all_slots_test.
2013-06-17 14:38:47,090 [DEBUG]  @plugins.py:728 - Running post_facts_collection_hook in facts_collection_test.FactsCollectionTestPlugin
2013-06-17 14:38:47,091 [INFO]  @facts_collection_test.py:33 - Running post_facts_collection_hook: consumer facts count is 82
2013-06-17 14:38:47,091 [INFO]  @factlib.py:57 - Facts have not changed, skipping upload.
2013-06-17 14:38:47,094 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-17 14:38:47,094 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-17 14:38:47,095 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-17 14:38:47,095 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-5candlepin.pem'
2013-06-17 14:38:47,095 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-7candlepin.pem'
2013-06-17 14:38:47,096 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2013-06-17 14:38:47,096 [DEBUG]  @connection.py:400 - Using proxy: foobar:3128
2013-06-17 14:38:47,097 [DEBUG]  @connection.py:415 - Making request: GET https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/
2013-06-17 14:38:47,102 [WARNING]  @certmgr.py:107 - Exception caught while running <subscription_manager.cache.PackageProfileLib object at 0x194072d0> update
2013-06-17 14:38:47,102 [ERROR]  @certmgr.py:108 - (-2, 'Name or service not known')
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/certmgr.py", line 100, in update
    updates += lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 69, in update
    return self._do_update()
  File "/usr/share/rhsm/subscription_manager/cache.py", line 55, in _do_update
    return profile_mgr.update_check(self.uep, consumer_uuid)
  File "/usr/share/rhsm/subscription_manager/cache.py", line 307, in update_check
    if not uep.supports_resource(PACKAGES_RESOURCE):
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 623, in supports_resource
    self._load_supported_resources()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 610, in _load_supported_resources
    resources_list = self.conn.request_get("/")
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 481, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 422, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 174, in endheaders
    httpslib.HTTPSConnection.endheaders(self)
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 175, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.4/httplib.py", line 620, in connect
    socket.SOCK_STREAM):
gaierror: (-2, 'Name or service not known')
2013-06-17 14:38:47,134 [INFO]  @cache.py:164 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2013-06-17 14:38:47,135 [INFO]  @cache.py:181 - No changes.
2013-06-17 14:38:47,137 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-17 14:38:47,137 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-17 14:38:47,137 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-17 14:38:47,138 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-5candlepin.pem'
2013-06-17 14:38:47,138 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-7candlepin.pem'
2013-06-17 14:38:47,139 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2013-06-17 14:38:47,139 [DEBUG]  @connection.py:400 - Using proxy: foobar:3128
2013-06-17 14:38:47,139 [DEBUG]  @connection.py:415 - Making request: GET https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/5532ee65-717f-4b17-8ed6-143b0d4b2b7f/release
2013-06-17 14:38:47,143 [ERROR]  @managercli.py:151 - exception caught in subscription-manager
2013-06-17 14:38:47,143 [ERROR]  @managercli.py:152 - (-2, 'Name or service not known')
Traceback (most recent call last):
  File "/usr/sbin/subscription-manager", line 80, in ?
    sys.exit(abs(main() or 0))
  File "/usr/sbin/subscription-manager", line 71, in main
    return managercli.ManagerCLI().main()
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 2231, in main
    return CLI.main(self)
  File "/usr/share/rhsm/subscription_manager/cli.py", line 166, in main
    return cmd.main()
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 482, in main
    return_code = self._do_command()
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 1807, in _do_command
    repos = rl.get_repos()
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 48, in get_repos
    action = UpdateAction(uep=self.uep)
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 108, in __init__
    result = self.uep.getRelease(self.consumer_uuid)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 920, in getRelease
    results = self.conn.request_get(method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 481, in request_get
    return self._request("GET", method)
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 422, in _request
    conn.request(request_type, handler, body=body, headers=headers)
  File "/usr/lib64/python2.4/httplib.py", line 810, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.4/httplib.py", line 833, in _send_request
    self.endheaders()
  File "/usr/lib64/python2.4/site-packages/rhsm/connection.py", line 174, in endheaders
    httpslib.HTTPSConnection.endheaders(self)
  File "/usr/lib64/python2.4/httplib.py", line 804, in endheaders
    self._send_output()
  File "/usr/lib64/python2.4/httplib.py", line 685, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.4/httplib.py", line 652, in send
    self.connect()
  File "/usr/lib64/python2.4/site-packages/M2Crypto/httpslib.py", line 175, in connect
    HTTPConnection.connect(self)
  File "/usr/lib64/python2.4/httplib.py", line 620, in connect
    socket.SOCK_STREAM):
gaierror: (-2, 'Name or service not known')
Comment 1 RHEL Product and Program Management 2013-06-17 14:47:01 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Carter Kozak 2013-06-17 17:21:27 EDT
commit 7f8fa13145e6475bca4600b2cc30576bbf1a0d82
Author: ckozak <ckozak@redhat.com>
Date:   Mon Jun 17 16:55:10 2013 -0400

    975164: 975186: fix certlib exception handling
Comment 6 Shwetha Kallesh 2013-07-15 08:05:07 EDT
No "2, 'Name or service not known')" to stdout,so marking verified!!

[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.17-1
subscription-manager: 1.8.13-1.el5
python-rhsm: 1.8.13-1.git.0.85d7af5.el5


[root@localhost ~]# subscription-manager repos --list --proxy=foobar
Network error, unable to connect to server.
Please see /var/log/rhsm/rhsm.log for more information.

[root@localhost ~]# echo $?
255
Comment 8 errata-xmlrpc 2013-09-30 19:10:56 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1332.html

Note You need to log in before you can comment on or make changes to this bug.